### A free/open-source library for quantitative finance

Classes
ql/models/shortrate/onefactormodels/blackkarasinski.hpp File Reference

Black-Karasinski model. More...

`#include <ql/models/shortrate/onefactormodel.hpp>`
`#include <ql/processes/ornsteinuhlenbeckprocess.hpp>`
Include dependency graph for blackkarasinski.hpp:

## Classes

class | BlackKarasinski
| Standard Black-Karasinski model class. More...
class | BlackKarasinski::Dynamics
| Short-rate dynamics in the Black-Karasinski model. More...

## Detailed Description

Black-Karasinski model.